# Interface MultiDocPrintService

All Superinterfaces:
  `PrintService`

public interface MultiDocPrintService extends PrintService
Interface `MultiPrintService` is the factory for a `MultiDocPrintJob`. A `MultiPrintService` describes the capabilities of a printer and can be queried regarding a printer's supported attributes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MultiDocPrintJob`
  `createMultiDocPrintJob()`
  Create a job which can print a multiDoc.

  ### Methods declared in interface PrintService

  `addPrintServiceAttributeListener, createPrintJob, equals, getAttribute, getAttributes, getDefaultAttributeValue, getName, getServiceUIFactory, getSupportedAttributeCategories, getSupportedAttributeValues, getSupportedDocFlavors, getUnsupportedAttributes, hashCode, isAttributeCategorySupported, isAttributeValueSupported, isDocFlavorSupported, removePrintServiceAttributeListener`

- ## Method Details

  - ### createMultiDocPrintJob

    MultiDocPrintJob createMultiDocPrintJob()
    Create a job which can print a multiDoc.
    Returns:
      a `MultiDocPrintJob`